USE credit
go

-- DROP INDEX member.testind2

UPDATE Member
SET LastName = 'Tripp-Simonnet'
WHERE Member_No = 6798
go

UPDATE Member
SET FirstName = 'Kimberly'
WHERE Member_No = 2896
go

UPDATE Member
SET FirstName = 'Kimberly',
	LastName = 'Tripp-Simonnet'
WHERE Member_No = 842
go

CREATE INDEX MemberLastName ON Member(LastName)
CREATE INDEX MemberFirstName ON Member(FirstName)
go

SET STATISTICS IO ON
go

SELECT LastName, FirstName, Region_No
FROM Member 
WHERE FirstName = 'Kimberly'
OR LastName = 'Tripp-Simonnet'
go
-- create index Member1 on member(firstname, lastname, region_no)
-- create index Member2 on member(lastname, firstname, region_no)

SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE FirstName LIKE 'Kimberly'
go
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE LastName LIKE 'Tripp-Simonnet'
go
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE FirstName LIKE 'Kimberly'
	OR LastName LIKE 'Tripp-Simonnet'
go

SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE LastName LIKE 'Tripp-Simonnet'
go

SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION ALL
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE LastName LIKE 'Tripp-Simonnet'
go

-- IS UNION always the same as OR...NO!
-- UNION removes dupes based on SELECT LIST
-- OR removes dupes based on ROWID (or unique row identifier)

-- Let's update more rows...
UPDATE member
    SET firstname = 'Kimberly',
            lastname = 'Tripp-Simonnet'
    WHERE member_no % 19 = 0

UPDATE member
    SET firstname = 'Kimberly'
    WHERE member_no % 17 = 0
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
	OR LastName LIKE 'Tripp-Simonnet'
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION
SELECT LastName, FirstName, Region_No
FROM Member
WHERE LastName LIKE 'Tripp-Simonnet'
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION ALL
SELECT LastName, FirstName, Region_No
FROM Member
WHERE LastName LIKE 'Tripp-Simonnet'
go

-- How about adding in the Primary Key
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE FirstName LIKE 'Kimberly'
	OR LastName LIKE 'Tripp-Simonnet'
go

SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE LastName LIKE 'Tripp-Simonnet'
go

-- Remember that UNION ALL does NOT guarantee an identical
-- result set BUT if you
--	Don't care about dupes
--	OR 
--	You know your data REALLY well...
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION ALL
SELECT LastName, FirstName, Region_No, member_no
FROM Member
WHERE LastName LIKE 'Tripp-Simonnet'
go
